<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/inputButton.css">
    <link rel="stylesheet" href="css/button.css">
    <link rel="stylesheet" href="css/selectBox.css">
    <title>MMORPG</title>
</head>
<body>

<!--<div id="firstForm">-->
<!--    <form onclick="{event.preventDefault()}" id="formStartNbMobs" action="">-->
<!--        <h1 class="home-title">-->
<!--            <span>Nombre de monstre que tu voudrais battres ?</span>-->
<!--        </h1>-->
<!--        <div class="middle mt-1">-->
<!--            <span class="input-wrapper">-->
<!--              <button id="decrement">-</button>-->
<!--              <input autocomplete="off" type="number" value="1" id="quantity" />-->
<!--              <button id="increment">+</button>-->
<!--            </span>-->
<!--        </div>-->
<!--        <div class="middle" style="margin-top: 60px">-->
<!--            <button id="buttonStartNbMobs" class="button button&#45;&#45;pen">-->
<!--                <div class="button__wrapper">-->
<!--                    <span class="button__text">Allons y !</span>-->
<!--                </div>-->
<!--                <div class="characterBox">-->
<!--                    <div class="character wakeup">-->
<!--                        <div class="character__face"></div>-->
<!--                        <div class="charactor__face2"></div>-->
<!--                    </div>-->
<!--                    <div class="character wakeup">-->
<!--                        <div class="character__face"></div>-->
<!--                        <div class="charactor__face2"></div>-->
<!--                    </div>-->
<!--                    <div class="character">-->
<!--                        <div class="character__face"></div>-->
<!--                        <div class="charactor__face2"></div>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </button>-->
<!--        </div>-->
<!--    </form>-->
<!--</div>-->

<div id="secondForm">
    <h1 class="home-title">
        <span>Choisis ton héro !</span>
    </h1>
    <div class="middle">
        <div class="select">
            <select name="sources" autocomplete="off" id="sources">
                <option value="Kameto"disabled selected hidden>Choisis un héro</option>
                <option value="Cabochard">Cabochard</option>
                <option value="Cinkrof">Cinkrof</option>
                <option value="Saken">Saken</option>
                <option value="Caliste">Caliste</option>
                <option value="Targamas">Targamas</option>
            </select>
        </div>
    </div>
    <div class="middle" style="margin-top: 60px">
        <button id="buttonChooseCharacter" class="button button--hoo">
            <div class="button__wrapper">
                <span class="button__text">Suivant</span>
            </div>
            <div class="characterBox">
                <div class="character wakeup">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
                <div class="character wakeup">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
                <div class="character">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
            </div>
        </button>
    </div>
</div>

<div id="thirdForm" class="none">
    <h2 class="middle" id="announcePerso"></h2>

    <div class="middle" style="margin-top: 60px">
        <button id="buttonAcceptAnnouncePerso" class="button button--hoo">
            <div class="button__wrapper">
                <span class="button__text">Suivant</span>
            </div>
            <div class="characterBox">
                <div class="character wakeup">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
                <div class="character wakeup">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
                <div class="character">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
            </div>
        </button>
    </div>
</div>

<div id="fourthForm" class="none">
    <div class="middle">
        <div class="select">
            <select name="selectMobs" autocomplete="off" id="selectMobs">
                <option value="" disabled selected hidden>Choisis un mob</option>
            </select>
        </div>
    </div>
    <div id="buttonClassNone" class="none">
        <div class="middle" style="margin-top: 60px">
            <button id="buttonChooseMob" class="button button--hoo none">
                <div class="button__wrapper">
                    <span class="button__text">Suivant</span>
                </div>
                <div class="characterBox">
                    <div class="character wakeup">
                        <div class="character__face"></div>
                        <div class="charactor__face2"></div>
                        <div class="charactor__body"></div>
                    </div>
                    <div class="character wakeup">
                        <div class="character__face"></div>
                        <div class="charactor__face2"></div>
                        <div class="charactor__body"></div>
                    </div>
                    <div class="character">
                        <div class="character__face"></div>
                        <div class="charactor__face2"></div>
                        <div class="charactor__body"></div>
                    </div>
                </div>
            </button>
        </div>
    </div>
</div>


<div id="fifthForm" class="none">
    <h3 id="h3TextFight" class="middle textFight"></h3>

    <div class="arena">
        <div class="pokemon">
            <img id="imgPerso" src="" style="transform: scaleX(-1);" alt="Perso">
            <p id="nomPerso"></p>
            <span id="hpPerso">HP : 300</span>
        </div>
        <div class="pokemon">
            <img id="imgMob" src="" alt="Monstre">
            <p id="nomMob"></p>
            <span id="hpMob">HP : 300</span>
        </div>
    </div>
    <div id="divButtonTurnByTurnCbt" class="middle" style="margin-top: 60px">
        <button id="buttonTurnByTurnCbt" class="button button--hoo none">
            <div class="button__wrapper">
                <span id="spanButtonTurnByTurn" class="button__text">Commencer &nbsp;</span>
            </div>
            <div class="characterBox">
                <div class="character wakeup">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
                <div class="character wakeup">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
                <div class="character">
                    <div class="character__face"></div>
                    <div class="charactor__face2"></div>
                    <div class="charactor__body"></div>
                </div>
            </div>
        </button>
    </div>
    <div id="divButtonToContinue" class="none">
        <div class="middle" style="margin-top: 60px">
            <button id="buttonToContinue" class="button button--hoo none">
                <div class="button__wrapper">
                    <span class="button__text">Continuer &nbsp;</span>
                </div>
                <div class="characterBox">
                    <div class="character wakeup">
                        <div class="character__face"></div>
                        <div class="charactor__face2"></div>
                        <div class="charactor__body"></div>
                    </div>
                    <div class="character wakeup">
                        <div class="character__face"></div>
                        <div class="charactor__face2"></div>
                        <div class="charactor__body"></div>
                    </div>
                    <div class="character">
                        <div class="character__face"></div>
                        <div class="charactor__face2"></div>
                        <div class="charactor__body"></div>
                    </div>
                </div>
            </button>
        </div>
    </div>
</div>


<div id="sixthForm" class="none">
    <h3 id="h3textPotion" class="middle textFight">Voulez vous continuer ?</h3>
    <h2 id="h2usePotion" class="middle textFight"></h2>

    <div class="middle">
        <div class="arena">
            <div class="pokemon">
                <img id="imgPotion" src="./img/potion.png" alt="Potion">
                <button id="usePotion" class="arrow-button">Utiliser une potion (5)<span class="arrow"></span>
                </button>
            </div>
            <div class="pokemon">
                <img id="imgPotionBarre" src="./img/potionBarre2.png" alt="Potion">
                <button id="continueLastForm" class="arrow-button">Continuer<span class="arrow"></span>
                </button>
            </div>
        </div>
    </div>
</div>




<div id="seventhForm" class="none">
    <div class="divRelative">

        <canvas id="canvas">Canvas is not supported in your browser.</canvas>
        <div class="divAbsolute">
            <h3 style="" class="middle textFight">Félicitations !!!</h3>
        </div>
    </div>
</div>
    <!-- setup our canvas element -->

    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script type="module" src="js/index.js"></script>
    <script src="js/firework.js"></script>
    <script src="js/inputNumber.js"></script>
</body>
</html>